Page MenuHomePhabricator

EventBus extension should never log unserialized events
Closed, ResolvedPublic

Description

THe Event-Platform extension should only log serialized events to avoid blowing up logstash indexing.

Details

Related Gerrit Patches:
mediawiki/extensions/EventBus : masterOnly log serialized size-limited events.
mediawiki/extensions/EventBus : masterSend serialized event in error log and truncate if to big

Event Timeline

Pchelolo created this task.Mar 13 2019, 8:36 PM
Restricted Application added a project: Analytics. · View Herald TranscriptMar 13 2019, 8:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 496261 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[mediawiki/extensions/EventBus@master] Send serialized event in error log and truncate if to big

https://gerrit.wikimedia.org/r/496261

Change 496449 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/extensions/EventBus@master] Only log serialized size-limited events.

https://gerrit.wikimedia.org/r/496449

Change 496261 abandoned by Ottomata:
Send serialized event in error log and truncate if to big

Reason:
https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/EventBus/ /496449/ is better.

https://gerrit.wikimedia.org/r/496261

Change 496449 merged by jenkins-bot:
[mediawiki/extensions/EventBus@master] Only log serialized size-limited events.

https://gerrit.wikimedia.org/r/496449

Milimetric triaged this task as High priority.Mar 18 2019, 3:35 PM
Milimetric added a project: Analytics-Kanban.
Milimetric moved this task from Incoming to Modern Event Platform on the Analytics board.
Ottomata moved this task from Backlog to Done on the Event-Platform board.Mar 25 2019, 6:36 PM
Ottomata closed this task as Resolved.Mar 25 2019, 7:03 PM